Bug 220835 - Duplicate mnemonics in main menu
Duplicate mnemonics in main menu
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Code
7.3
PC Linux
: P3 (vote)
: 7.4
Assigned To: Tomas Stupka
issues@versioncontrol
: UI, UI_REVIEW, USABILITY
Depends on: 223132
Blocks: 223599
  Show dependency treegraph
 
Reported: 2012-10-25 12:20 UTC by Antonin Nebuzelsky
Modified: 2013-06-12 02:04 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Mnemonics test output (15.74 KB, text/plain)
2012-11-06 10:33 UTC, Jan Peska
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Antonin Nebuzelsky 2012-10-25 12:20:05 UTC
7.3 daily build.

Mnemonics of main menu in the full IDE build (with all features turned on, or ergonomics cluster removed) should be reviewed.

There are some duplicates, e.g.:

Window / &Web, Configure &Window, Reset &Windows
Tools / &Add to Favorites, &Analyze Javadoc
Comment 1 Marian Mirilovic 2012-10-25 12:49:35 UTC
This is not an issue any more, pushing mnemonic twice, three times moves cursor to the next action and runs it.
Comment 2 Stanislav Aubrecht 2012-10-25 12:53:21 UTC
But it's still better to have non-duplicate mnemonics to avoid the extra key press. That's the whole point of mnemonic keys - access menu items quickly...
Comment 3 Antonin Nebuzelsky 2012-10-25 12:55:33 UTC
(In reply to comment #1)
> pushing mnemonic twice, three times moves cursor to the next action and runs it.

That's why I filed this as P3, not a higher prio. Agreed with Standa.
Comment 4 Marian Mirilovic 2012-10-25 13:02:50 UTC
Yes, I agree ... just wonder who will fix it guys ? ide/UI is for sure not right component for such issues, so starting with Windows ?
Comment 5 Jan Peska 2012-11-06 10:33:18 UTC
Created attachment 127209 [details]
Mnemonics test output

In this attachment you can see part of the output of the updated Main menu test. Attached part is focused only on mnemonics - as you can see it tests if every menu item has a mnemonics and mnemonic conflicts within a menus. There are many issues of both types and in some menus several changes are required. I'll resolve those with a clear solution and then we can discuss the tricky ones (most likely some collisions).
Comment 6 Jan Peska 2012-11-09 13:43:05 UTC
Guys, please take a look on http://wiki.netbeans.org/UISteering-Mnemonics . I've summarized mnemonics issue to this Wiki page. Focus mainly menus labeled by red cross - those are the difficult one where no obvious easy solution. So please take a look and lets follow up with discussion in here.
Comment 7 Jan Peska 2012-12-10 15:57:47 UTC
Removing A11Y since accessibility doesn't suffer due to mnemonics duplicities - it is the matter of USABILITY of mnemonics...
Comment 8 Stanislav Aubrecht 2013-04-09 12:23:59 UTC
I fixed some problems (File, Edit, Debug, Tools, Window, Help) in core-main 54f04bdca717
Comment 9 Stanislav Aubrecht 2013-04-09 12:24:44 UTC
Reassigning to versioning team to fix their part.
Comment 10 Ondrej Vrabec 2013-06-11 11:29:10 UTC
fix: http://hg.netbeans.org/core-main/rev/f462ec3d31c8
Comment 11 Quality Engineering 2013-06-12 02:04:20 UTC
Integrated into 'main-golden', will be available in build *201306112301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/f462ec3d31c8
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #220835 - Duplicate mnemonics in main menu
updating mnemonics though all team menu items


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo